Package org.pentaho.reporting.libraries.formula

# Class EvaluationException

StackableException
org.pentaho.reporting.libraries.formula.EvaluationException

Direct Known Subclasses:
  `ContextEvaluationException`, `TypeConversionException`

public class EvaluationException extends StackableException
Creation-Date: 31.10.2006, 14:15:29

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`EvaluationException(ErrorValue errorValue)`
Creates a StackableRuntimeException with no message and no parent.

## Method Summary

Modifier and Type
Method
Description
`ErrorValue`
`getErrorValue()`
`static EvaluationException`
`getInstance(ErrorValue errorValue)`
`String`
`getMessage()`
Returns the detail message string of this throwable.

## Constructor Details

### EvaluationException

public EvaluationException(ErrorValue errorValue)
Creates a StackableRuntimeException with no message and no parent.

Parameters:
  `errorValue` - the error value that caused this exception.

## Method Details

### getMessage

public String getMessage()
Returns the detail message string of this throwable.

Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

### getErrorValue

public ErrorValue getErrorValue()

### getInstance

public static EvaluationException getInstance(ErrorValue errorValue)